summaryrefslogtreecommitdiff
path: root/dev-python/xmlschema/xmlschema-3.4.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-31 19:29:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-31 19:29:02 +0000
commita796170fd911c9b466cbcb63efaa4f9cf59da488 (patch)
tree1f1a4d31956eb25edc6831f8c6162eb8536eeded /dev-python/xmlschema/xmlschema-3.4.3.ebuild
parente0638acb46ef74cef3fac572b36fcce8cd3953f6 (diff)
downloadbaldeagleos-repo-a796170fd911c9b466cbcb63efaa4f9cf59da488.tar.gz
baldeagleos-repo-a796170fd911c9b466cbcb63efaa4f9cf59da488.tar.xz
baldeagleos-repo-a796170fd911c9b466cbcb63efaa4f9cf59da488.zip
Adding metadata
Diffstat (limited to 'dev-python/xmlschema/xmlschema-3.4.3.ebuild')
-rw-r--r--dev-python/xmlschema/xmlschema-3.4.3.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/xmlschema/xmlschema-3.4.3.ebuild b/dev-python/xmlschema/xmlschema-3.4.3.ebuild
new file mode 100644
index 000000000000..5a26dd588ce7
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-3.4.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}